<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes & Hyperlinks</title>
</head>
<body>

	<h2 id="top">HTML Attributes</h2>
	<!-- Align attribte = changes the alignment of the paragraph element -->
	<p align="center">
		<em>Modifiers of Element Behaviors</em>
	</p>

	<h2>HTML Images</h2>
	<p align="right">
		<em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em>
	</p>

	<!-- img tag = used to include images -->
	<!-- src = specifies the url of the source image -->
	<!-- target = "_blank" = attribute to open in a new tab -->
	<a href="https://place-puppy.com/" target="_blank">
		<img src="https://place-puppy.com/300x300"> 
	</a>

	<p>
		<code>
			&lt;img source=<a href="https://place-puppy.com/300x300">https://place-puppy.com/300x300</a>&gt;
		</code>
	</p>

	<!-- adds image using local -->
	<img src="./images/zuittlogo.png">

	<p>
		<code>
			&lt;./images/zuittlogo.png&gt;
		</code>
	</p>

	<p>
		Valid image extension are the following

		<!-- other values for type: 1, a, A, i, I -->
		<!-- reversed = attribute for reverse order -->

		<ol type="a">
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<p>
			Take a look at w3schools attribute references
			<a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a>
		</p>

		<h2>HTML Links</h2>
		<h4>Absolute Link</h4>
		<!-- < a > anchor tag = Creates a hyperlink element that redirects to a different page -->
		<!-- href attribute = "hypertext reference" used to create a link to a differenrt page-->
		<a href="https://zuitt.co/">I'm a hyperlink to Zuitt</a>
	</p>

	<h4>Relative Link</h4>
	<p>Go to <a href="./link.html"> link.html page</a></p>

	<p>Go to <a href="./images/index.html">images/index.html</a>page</p>

	<p> <a href="#top">Back to top</a></p>
</body>
</html>